package net.buildbox.app.CountServer;

import android.app.Service;
import android.content.Intent;
import android.os.Handler;
import android.os.IBinder;

public class CountService extends Service {
	private int mCounter = 0;
	private Handler mHandler = new Handler();
	private Runnable mRunnable;
	
	@Override
	public void onCreate() {
	}
	
	@Override
	public IBinder onBind(Intent intent) {
		return null;
	}

	@Override
	public void onStart(Intent intent, int startId) {

		mRunnable = new Runnable() {
			@Override
			public void run() {				
				mCounter++;
				
				// Intentの設定
				Intent broadcastIntent = new Intent();
				broadcastIntent.putExtra("key_message", "Counter: " + mCounter);
				broadcastIntent.setAction("net.buildbox.action.ACTION_SAMPLE");
				// ブロードキャストのIntentを発行
				getBaseContext().sendBroadcast(broadcastIntent);
				
				mHandler.postDelayed(this, 5000);
			}
			
		};
		
		mHandler.postDelayed(mRunnable, 5000);
	}
	
	@Override
	public void onDestroy() {
		mHandler.removeCallbacks(mRunnable);
	}
}
