package net.buildbox.app.CountServer;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

public class MainActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        Button btnStartService = (Button) findViewById(R.id.btn_startService);
        btnStartService.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				Intent intent = new Intent(getApplicationContext(), CountService.class);
				startService(intent);
				
				Toast.makeText(getApplicationContext(), "start Server", Toast.LENGTH_SHORT).show();
			}
		});
        
        Button btnStopService = (Button) findViewById(R.id.btn_stopService);
        btnStopService.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				Intent intent = new Intent(getApplicationContext(), CountService.class);
				stopService(intent);
				
				Toast.makeText(getApplicationContext(), "stop Server", Toast.LENGTH_SHORT).show();
			}
		});
    }
}